which link is required to tograde to 2024R1

This support forum board is for support questions relating to Nagios XI, our flagship commercial network monitoring solution.
Locked
steph007
Posts: 143
Joined: Mon Jul 24, 2017 12:00 pm

which link is required to tograde to 2024R1

Post by steph007 »

hi,

I have a Nagios XI server at 5.11.3 and I want upgrade to 2024R1.
I have a lot of security constraint on the Nagios server for communicating with outside world. So, I'm using the manual update (download xi-latest.tar.gz) and do ./upgrade.
Before the 2024R1 that was working well. Now, it's not working. I'm stuck at this:
RUNNING INSTALL SCRIPT...
Retrying (Retry(total=4, connect=None, read=None, redirect=None)) after connection broken by 'NewConnectionError('<pip._vendor.requests.packages.urllib3.connection.VerifiedHTTPSConnection object at 0x7f92b09e4410>: Failed to establish a new connection: [Errno 101] Network is unreachable',)': /simple/pymongo/

Is there any sort of external access missing? Can you list me all external access need? I wil try to see with network guys to open it.
steph007
Posts: 143
Joined: Mon Jul 24, 2017 12:00 pm

Re: which link is required to tograde to 2024R1

Post by steph007 »

The installation finally finished, but never received the message "Nagios XI Upgrade Complete!" and Nagios report to still at 5.11.3

Note
I have add the upgrade.log to this reply.
You do not have the required permissions to view the files attached to this post.
kvang
Posts: 34
Joined: Wed Aug 23, 2023 11:28 am

Re: which link is required to tograde to 2024R1

Post by kvang »

Hey steph,

Give this a try...

Code: Select all

wget https://assets.nagios.com/downloads/nagiosxi/5/xi-2024R1.tar.gz
It should be the same as xi-latest.tar.gz but just incase that link isn't working properly.

If you're still getting the same error please let us know.

Thanks!
steph007
Posts: 143
Joined: Mon Jul 24, 2017 12:00 pm

Re: which link is required to tograde to 2024R1

Post by steph007 »

From the command line, I cannot download it. So, I have download it and push it to the Nagios server to do the manual update.
And it did the same.
so, not working.
steph007
Posts: 143
Joined: Mon Jul 24, 2017 12:00 pm

Re: which link is required to tograde to 2024R1

Post by steph007 »

some output that you should also probably see in the upgrade log file

Installing 'wizards/mongodb_database.zip'
TMPNAME: q9fkb
Archive: /tmp/nagiosxi/subcomponents/xiwizards/wizards/mongodb_database.zip
52c27827281f9cb6541ba5ed408e0461dcb32445
creating: mongodb_database/
inflating: mongodb_database/CHANGELOG.txt
inflating: mongodb_database/config.xml
extracting: mongodb_database/install.sh
creating: mongodb_database/logos/
extracting: mongodb_database/logos/mongodb_db.png
inflating: mongodb_database/mongodb_database.inc.php
creating: mongodb_database/plugins/
inflating: mongodb_database/plugins/check_mongodb.py
creating: mongodb_database/steps/
inflating: mongodb_database/steps/step1.php
inflating: mongodb_database/steps/step2.php
creating: mongodb_database/templates/
inflating: mongodb_database/templates/mongodb_database.cfg
mongodb_database
WIZARD NAME: mongodb_database
CMD=grep register_configwizard /usr/local/nagiosxi/tmp/q9fkb/mongodb_database/mongodb_database.inc.php | wc -l
1
OUT=1
Wizard looks ok...
CMD: cp -rf /usr/local/nagiosxi/tmp/q9fkb/mongodb_database /usr/local/nagiosxi/html/includes/configwizards/
CMD: rm -rf /usr/local/nagiosxi/tmp/q9fkb
CHECKING FOR PREINSTALL SCRIPT '/usr/local/nagiosxi/html/includes/configwizards/mongodb_database/preinstall.sh'...
PREINSTALL SCRIPT DOES NOT EXIST.
PROCESSING CONFIG FILE /usr/local/nagiosxi/html/includes/configwizards/mongodb_database/config.xml
LOGO:
LOGO ATTRIBUTE filename => mongodb_db.png
CHECKING FOR DIRECTORY: /usr/local/nagiosxi/html/includes/components/nagioscore/ui/images/logos//
COPYING LOGO: /usr/local/nagiosxi/html/includes/configwizards/mongodb_database/logos//mongodb_db.png
TO: /usr/local/nagiosxi/html/includes/components/nagioscore/ui/images/logos//mongodb_db.png
PLUGIN:
PLUGIN ATTRIBUTE filename => check_mongodb.py
COPYING PLUGIN: /usr/local/nagiosxi/html/includes/configwizards/mongodb_database/plugins/check_mongodb.py
TO: /usr/local/nagios/libexec/check_mongodb.py
TEMPLATE:
TEMPLATE ATTRIBUTE filename => mongodb_database.cfg
COPYING TEMPLATE: /usr/local/nagiosxi/html/includes/configwizards/mongodb_database/templates/mongodb_database.cfg
TO: /usr/local/nagios/etc/import/configwizard-mongodb_database.cfg
SKIPPING NAGIOS CORE RESTART...
CHECKING FOR INSTALL SCRIPT '/usr/local/nagiosxi/html/includes/configwizards/mongodb_database/install.sh'...
RUNNING INSTALL SCRIPT...
Retrying (Retry(total=4, connect=None, read=None, redirect=None)) after connection broken by 'NewConnectionError('<pip._vendor.requests.packages.urllib3.connection.VerifiedHTTPSConnection object at 0x7fb34a882410>: Failed to establish a new connection: [Errno 101] Network is unreachable',)': /simple/pymongo/
Retrying (Retry(total=3, connect=None, read=None, redirect=None)) after connection broken by 'NewConnectionError('<pip._vendor.requests.packages.urllib3.connection.VerifiedHTTPSConnection object at 0x7fb34a882590>: Failed to establish a new connection: [Errno 101] Network is unreachable',)': /simple/pymongo/
Retrying (Retry(total=2, connect=None, read=None, redirect=None)) after connection broken by 'NewConnectionError('<pip._vendor.requests.packages.urllib3.connection.VerifiedHTTPSConnection object at 0x7fb34a882710>: Failed to establish a new connection: [Errno 101] Network is unreachable',)': /simple/pymongo/
Retrying (Retry(total=1, connect=None, read=None, redirect=None)) after connection broken by 'NewConnectionError('<pip._vendor.requests.packages.urllib3.connection.VerifiedHTTPSConnection object at 0x7fb34a882890>: Failed to establish a new connection: [Errno 101] Network is unreachable',)': /simple/pymongo/
User avatar
swolf
Developer
Posts: 301
Joined: Tue Jun 06, 2017 9:48 am

Re: which link is required to tograde to 2024R1

Post by swolf »

Hi @steph007,

How is your Nagios XI server installed? It sounds like you're using a source install for XI, but to install XI in an offline environment, we have a completely separate process that allows you to avoid most of the trouble related to connecting to the broader internet.

In this case, the error you're getting is from the operating system using pip to install a python package. I can't give you a complete list of URLs here, but you'd need to be able to run pip install --upgrade pymongo successfully to get through this step.
As of May 25th, 2018, all communications with Nagios Enterprises and its employees are covered under our new Privacy Policy
steph007
Posts: 143
Joined: Mon Jul 24, 2017 12:00 pm

Re: which link is required to tograde to 2024R1

Post by steph007 »

Few yeasr ago I have download the OVA image from Nagios web site.
Since that, I have always use the manual upgrade procedure to upgrade Nagios XI, all the time with success.
But with this 2024R1 version, I have issues at doing it.
Should I use the procedure to upgrade for an offline environment?
cnorell
Developer
Posts: 63
Joined: Mon Nov 27, 2017 3:08 pm

Re: which link is required to tograde to 2024R1

Post by cnorell »

You can try to use the offline procedure but if you were initially using an online environment, we can't guarantee the upgrade will work. Please ensure you make a backup of your XI server before attempting such an operation.

Can you ping the internet at large from the XI server? e.g.

Code: Select all

ping www.google.com
As of May 25th, 2018, all communications with Nagios Enterprises and its employees are covered under our new Privacy Policy.
steph007
Posts: 143
Joined: Mon Jul 24, 2017 12:00 pm

Re: which link is required to tograde to 2024R1

Post by steph007 »

Hi,

Sorry for the delay of my answer.

The offline procedure was not working.
We finally managed to open the FW need it and it have worked right after.

Thanks for your help.
kvang
Posts: 34
Joined: Wed Aug 23, 2023 11:28 am

Re: which link is required to tograde to 2024R1

Post by kvang »

Hello steph007,

We're pleased to learn that you've managed to resolve the issue. If you have any further questions, please don't hesitate to create a new forum post. I'll be closing this thread now.
Locked